Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.values
Class AnimatableLengthListValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableLengthListValue

    public class AnimatableLengthListValue

extends AnimatableValue

An SVG length list value in the animation system.

Field Summary
`protected short[]` | `lengthTypes` The length types.
`protected float[]` | `lengthValues` The length values.
`protected short` | `percentageInterpretation` How to interpret percentage values.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` | `AnimatableLengthListValue(AnimationTarget target)` Creates a new, uninitialized AnimatableLengthListValue.
`` | `AnimatableLengthListValue(AnimationTarget target, short[] types, float[] values, short pcInterp)` Creates a new AnimatableLengthListValue.

Method Summary
`boolean` | `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` | `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`String` | `getCssText()` Returns the CSS text representation of the value.
`short[]` | `getLengthTypes()` Gets the length types.
`float[]` | `getLengthValues()` Gets the length values.
`AnimatableValue` | `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` | `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, hasChanged, toString, toStringRep`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lengthTypes

    protected short[] lengthTypes

  The length types.

### lengthValues

    protected float[] lengthValues

  The length values. These should be one of the constants defined in `SVGLength`.

### percentageInterpretation

    protected short percentageInterpretation

  How to interpret percentage values. These should be one of the `AnimationTarget`.PERCENTAGE_* constants.

Constructor Detail

### AnimatableLengthListValue

    protected AnimatableLengthListValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableLengthListValue.

### AnimatableLengthListValue

    public AnimatableLengthListValue(AnimationTarget target,
                                     short[] types,
                                     float[] values,
                                     short pcInterp)

  Creates a new AnimatableLengthListValue.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getLengthTypes

    public short[] getLengthTypes()

  Gets the length types.

### getLengthValues

    public float[] getLengthValues()

  Gets the length values.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### getCssText

    public String getCssText()

  Returns the CSS text representation of the value. Length lists can never be used for CSS properties.

  Overrides:
    `getCssText` in class `AnimatableValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.